// 启用/禁用
export const ABLE_TYPE = {
  0: "禁用",
  1: "启用"
};

// 性别
export const GENDER_TYPE = {
  MALE: "男",
  FEMALE: "女"
};
// 是 / 否
export const BOOLEAN_TYPE = {
  0: "否",
  1: "是"
};

// 打印状态
// export const PRINT_STATUS = {
//   "3": "未开始",
//   "4": "命题中",
//   "0": "待打印",
//   "1": "打印中",
//   "2": "已打印",
//   "9": "无"
// };
export const PRINT_STATUS = [
  {
    key: "3",
    name: "未开始"
  },
  {
    key: "4",
    name: "命题中"
  },
  {
    key: "0",
    name: "待打印"
  },
  {
    key: "1",
    name: "打印中"
  },
  {
    key: "2",
    name: "已打印"
  },
  {
    key: "9",
    name: "无"
  }
];
// 撤回状态
export const REVOKE_STATUS = {
  0: "待确认",
  9: "无"
};
// 审核状态
export const AUDITING_STATUS = {
  0: "未审核",
  1: "已审核",
  9: "无"
};

export const CARD_BUSINESS_FIELDS = {
  must: [
    {
      name: "学号",
      code: "studentCode"
    },
    {
      name: "姓名",
      code: "name"
    },
    {
      name: "科目名称",
      code: "courseName"
    }
  ],
  extend: [
    {
      name: "教学班号",
      code: "classNo"
    },
    {
      name: "考场",
      code: "examRoom"
    }
  ]
};

export const RESERVE_TYPE = {
  0: "考试任务备用方式",
  1: "考场备用方式"
};

export const CARD_SOURCE_TYPE = {
  0: "选择已有答题卡",
  1: "自助创建",
  2: "申请客服制卡" // 暂时隐藏
};

export const EXAM_NUMBER_STYLE = {
  0: "印刷条码",
  1: "粘贴条码",
  2: "考号填涂"
};

export const PAPER_TYPE = {
  0: "印刷",
  1: "填涂"
};

export const PRINT_CONTENT_TYPE = {
  examPaper: "试卷",
  answerSheet: "答题卡",
  signIn: "签到表",
  paperSticker: "卷袋贴"
};

export const PAPER_TYPE_FIELDS = ["A", "B"];

export const MENU_ROUTER_DICT = {
  basic: "base",
  userManager: "UserManage",
  ruleManager: "RuleManage",
  exam: "exam-center",
  todoTaskManager: "WaitTask",
  doneTaskManager: "DoneTask",
  examManager: "ExamManage",
  cardManager: "CardManage",
  printManager: "PrintManage",
  cardAuditingManager: "CardAudit",
  courseManager: "CourseManage",
  examTaskAudit: "ExamTaskAudit",
  topicTaskManage: "TopicTaskManage",
  todoExam: "TodoExam"
};

export const keepAliveRoutesPairs = [
  ["wait-task", ["wait-task-detail"]],
  ["done-task", ["done-task-detail"]],
  ["exam-manage", ["exam-room-detail", "exam-edit"]],
  ["exam-task-audit", ["exam-task-audit-edit"]],
  ["user-manage", ["user-edit"]],
  ["topic-task-manage", ["topic-task-edit"]],
  ["todo-exam", ["exam-edit"]]
];
